Bug 1228384 - hamer create a filter with an in correct types returns a bad error message
Summary: hamer create a filter with an in correct types returns a bad error message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard: Verified in Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 19:41 UTC by Bryan Kearney
Modified: 2019-09-26 18:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:15:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 11565 None None None 2016-04-22 16:11:06 UTC

Description Bryan Kearney 2015-06-04 19:41:12 UTC
Running this command:

[root@dhcp137-206 lab_scripts]# hammer content-view filter create --name="April 1" --organization "Summit 2015" --content-view "RHEL 7 SOE" --type="errata"
Could not create the filter:
  Invalid content type '' provided. Content types can be one of 

the valid type should have been erratum.

Versions

rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
rubygem-hammer_cli_import-0.10.16-1.el7sat.noarch
rubygem-hammer_cli-0.1.4.11-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.13-1.el7sat.noarch
rubygem-hammer_cli_gutterball-0.0.1.2-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
rubygem-hammer_cli_katello-0.0.7.14-1.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.6-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.4-1.el7sat.noarch

katello-common-2.2.0.11-1.el7sat.noarch
katello-certs-tools-2.2.1-1.el7sat.noarch
katello-installer-base-2.3.11-1.el7sat.noarch
katello-debug-2.2.0.11-1.el7sat.noarch
katello-default-ca-1.0-1.noarch
katello-installer-2.3.11-1.el7sat.noarch
ruby193-rubygem-katello-2.2.0.46-1.el7sat.noarch
rubygem-hammer_cli_katello-0.0.7.14-1.el7sat.noarch
pulp-katello-0.5-1.el7sat.noarch
katello-server-ca-1.0-1.noarch
katello-service-2.2.0.11-1.el7sat.noarch
katello-2.2.0.11-1.el7sat.noarch

Comment 1 RHEL Product and Program Management 2015-06-04 19:42:29 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 sthirugn@redhat.com 2015-06-04 19:50:32 UTC
Workaround:
use 'rpm', 'package_group', 'erratum'

hammer> content-view filter create --name=testfilter4 --organization-id=4 --content-view=testcv --type='erratum'
Filter created

hammer> content-view filter create --name=testfilter2 --organization-id=4 --content-view=testcv --type='rpm'
Filter created

hammer> content-view filter create --name=testfilter3 --organization-id=4 --content-view=testcv --type='package_group'
Filter created

Comment 4 Brad Buckingham 2015-08-25 19:22:00 UTC
Created redmine issue http://projects.theforeman.org/issues/11565 from this bug

Comment 5 Brad Buckingham 2015-08-25 19:26:21 UTC
Katello PR: 
  https://github.com/Katello/katello/pull/5440

Comment 6 Bryan Kearney 2015-08-25 20:06:37 UTC
Upstream bug component is Content Management

Comment 7 Bryan Kearney 2015-08-26 18:06:29 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/11565 has been closed
-------------
Brad Buckingham
Applied in changeset commit:katello|90d359d0dda6d4defc44783e89283b18feef3e21.

Comment 8 Tazim Kolhar 2015-11-16 13:06:17 UTC
VERIFIED:
# rpm -qa | grep foreman
dell-pem600-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-release-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
foreman-ovirt-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
foreman-libvirt-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
foreman-postgresql-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
dell-pem600-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
dell-pem600-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch
foreman-debug-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
foreman-proxy-1.11.0-0.develop.201511111339git7cbe47a.el7.noarch
foreman-compute-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201511111650gitdda13df.el7.noarch
foreman-gce-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
foreman-release-scl-1-1.el7.x86_64
foreman-vmware-1.11.0-0.develop.201511111740gitb2a959e.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch

steps:
# hammer content-view filter create --name "test_filter" --organization-id 1 --content-view con_view --type errata
[Foreman] Password for admin: 
Could not create the filter:
  Invalid content type 'errata' provided. Content types can be one of rpm, package_group, erratum

Comment 11 errata-xmlrpc 2016-07-27 09:15:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.